package yangtz.cs.liu.campus.service.teacher;


import com.baomidou.mybatisplus.extension.service.IService;
import yangtz.cs.liu.campus.domain.teacher.SchoolTeacherWages;
import yangtz.cs.liu.campus.vo.student.SchoolStudentVO;
import yangtz.cs.liu.campus.vo.student.SchoolTeacherWagesVO;

import java.util.List;

public interface ISchoolTeacherWagesService extends IService<SchoolTeacherWages> {

    List<SchoolTeacherWages> queryList(SchoolTeacherWages schoolTeacherWages);

    String importStudent(List<SchoolTeacherWagesVO> dataManagementList, boolean updateSupport, String operName);

    String updateTeacherWages(SchoolTeacherWages schoolTeacherWages);

    String addTeacherWages(SchoolTeacherWages schoolTeacherWages);

    int insertByTeacherId(Long teacherId,SchoolTeacherWages schoolTeacherWages);

    /**
     * 检查数据
     * @param list
     */
    void checkData(List<SchoolTeacherWages> list);

    /**
     * 导入老师工资数据
     * @param list
     * @return
     */
    String importData(List<SchoolTeacherWages> list);
}
